Bug 1736460 - ansible fails to build with Python 3.8
Summary: ansible fails to build with Python 3.8
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1736521
Blocks: PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-08-01 17:46 UTC by Miro Hrončok
Modified: 2019-08-21 12:32 UTC (History)
4 users (show)

Fixed In Version: ansible-2.8.4-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-21 12:32:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-01 17:46:57 UTC
ansible fails to build with Python 3.8.0b3:

(cd docs/docsite/; CPUS=2 make docs)
BUILDSTDERR: test/runner/lib/sanity/sanity_docs.py: no c+ make PYTHON=/usr/bin/python3 SPHINXBUILD=sphinx-build-3 webdocs
BUILDSTDERR: fatal: not a git repository (or any of the parent directories): .git
BUILDSTDERR: fatal: not a git repository (or any of the parent directories): .git
BUILDSTDERR: fatal: not a git repository (or any of the parent directories): .git
BUILDSTDERR: Traceback (most recent call last):
BUILDSTDERR:   File "../bin/dump_keywords.py", line 49, in <module>
BUILDSTDERR:     for a in oblist[name]:
BUILDSTDERR: RuntimeError: dictionary keys changed during iteration
BUILDSTDERR: make[1]: *** [Makefile:87: keywords] Error 1
BUILDSTDERR: make: *** [Makefile:398: webdocs] Error 2
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.9U4yiv (%build)


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00989946-ansible/

For all our attempts to build ansible with Python 3.8, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/ansible/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Let us know here if you have any questions.

Comment 1 Ben Cotton 2019-08-13 17:06:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:37:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Miro Hrončok 2019-08-14 22:24:08 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 4 Miro Hrončok 2019-08-21 11:41:25 UTC
The fix is ready at https://github.com/ansible/ansible/pull/56806

Comment 5 Miro Hrončok 2019-08-21 11:47:47 UTC
A scratchbuild: https://koji.fedoraproject.org/koji/taskinfo?taskID=37199390


Note You need to log in before you can comment on or make changes to this bug.